package cn.iocoder.yudao.module.order.vo.orderLocation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
* 订单仓位 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderLocationBaseVO {

    @ApiModelProperty(value = "订单id", required = true)
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    @ApiModelProperty(value = "库域id", required = true)
    @NotNull(message = "库域id不能为空")
    private Long wareId;

    @ApiModelProperty(value = "库区id")
    private Long areaId;

    @ApiModelProperty(value = "仓位id")
    private Long locationId;

    @ApiModelProperty(value = "订单项id")
    private Long orderItemId;

    @ApiModelProperty(value = "入仓id")
    private Long warehouseInId;

    @ApiModelProperty(value = "最后操作的用户id")
    private Long adminId;

}
