package cn.iocoder.yudao.module.order.vo.orderSplit;

import cn.iocoder.yudao.module.order.vo.orderSplitItem.OrderSplitItemBackVO;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单拆单 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 订单拆单 Response VO")
public class OrderSplitBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("父订单编号")
    @ApiModelProperty(value = "父订单编号", required = true)
    private String parentOrderNo;

    @ExcelProperty("订单编号")
    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ExcelProperty("父订单id")
    @ApiModelProperty(value = "父订单id")
    private Long parentOrderId;

    @ApiModelProperty(value = "初始母订单id")
    private Long initialParentOrderId;

    @ApiModelProperty(value = "初始母订单编号")
    private String initialParentOrderNo;

    @ApiModelProperty(value = "是否重置订单编号")
    private Boolean resetOrderNo;

    @ApiModelProperty(value = "运输方式id")
    private Integer transportId;

    /**
     * 线路ID
     */
    @ApiModelProperty(value = "线路ID")
    private Long lineId;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private String transportName;

    @ApiModelProperty(value = "渠道ID")
    private Long channelId;

    @ExcelProperty("出货渠道")
    @ApiModelProperty(value = "渠道名称")
    private String channelName;

    @ExcelProperty("目的仓id")
    @ApiModelProperty(value = "目的仓id")
    private Long dstWarehouseId;

    @ExcelProperty("目的仓")
    @ApiModelProperty(value = "目的仓")
    private String dstWarehouseName;

    @ApiModelProperty(value = "是否master")
    private Boolean isMaster;

    /**
     * 退场订单箱数
     */
    private Integer refundNum;

    @ApiModelProperty(value = "拆单项集合")
    private List<OrderSplitItemBackVO> orderSplitItemBackVOList;

}
